Skip to main content
POST
/
prod-api
/
nebula
/
v4
/
api
/
anyShootAdvancedModeSubmit
Any Shoot - Advanced Mode - Submit Task
curl --request POST \
  --url https://ai-nebula.com/prod-api/nebula/v4/api/anyShootAdvancedModeSubmit \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "productImageUrl": "<string>",
  "productMaskUrl": "<string>",
  "templateImageUrl": "<string>",
  "templateMaskUrl": "<string>"
}
'
{
  "code": 200,
  "msg": "Operation successful",
  "data": "task-1234567890"
}

Documentation Index

Fetch the complete documentation index at: https://docs.openai-nebula.com/llms.txt

Use this file to discover all available pages before exploring further.

Introduction

Submit Any Shoot advanced mode task, used to transfer product image to specified template.

Authentication

Authorization
string
required
Bearer Token, e.g., Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9... How to get: Obtain via the POST interface in the Authentication module at the top left, https://docs.openai-nebula.com/en/nebula-lab-v4/endpoint/get-token

Request Parameters

productImageUrl
string
required
Product image URL
productMaskUrl
string
required
Product mask URL
templateImageUrl
string
required
Template image URL
templateMaskUrl
string
required
Template mask URL

Example Code

curl -X POST "https://ai-nebula.com/prod-api/nebula/v4/api/anyShootAdvancedModeSubmit" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer sk-xxxxxxxxxx" \
  -d '{
    "productImageUrl": "https://example.com/product.png",
    "productMaskUrl": "https://example.com/product-mask.png",
    "templateImageUrl": "https://example.com/template.png",
    "templateMaskUrl": "https://example.com/template-mask.png"
  }'

Response Example

{
  "code": 200,
  "msg": "Operation successful",
  "data": "task-1234567890"
}